<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

Odds client side account authentication and authorization SDK.

## Features

OddsHorizon client side account SDK.

## Getting started

### Add dependency

```yaml
odds_account_sdk: ^1.0.0-dev.6
```

## Usage

```dart
import 'package:odds_account_sdk/client.dart';
```

then you can create a client instance to handle user register or login.
```dart
final client = OddsAccountClient.authing("authing_user_pool_id", "authing_app_id");

final registerResult = await client.registerByUserName("username", "password");
if (!registerResult.isSuccess()) {
// error handling
}
```

now, if register or login success, you can put the `AuthInfo.idToken` into
grpc's metadata to access odds services.
```dart
registerResult.idToken
```
